## org.apache.lucene.queryParser.core.nodes
Class PathQueryNode.QueryText

    java.lang.Object
      org.apache.lucene.queryParser.core.nodes.PathQueryNode.QueryText

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  PathQueryNode

    public static class PathQueryNode.QueryText

extends java.lang.Object
implements java.lang.Cloneable

Constructor Summary
`PathQueryNode.QueryText(java.lang.CharSequence value, int begin, int end)`

Method Summary
`PathQueryNode.QueryText` `clone()`
`int` `getBegin()`
`int` `getEnd()`
`java.lang.CharSequence` `getValue()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PathQueryNode.QueryText

    public PathQueryNode.QueryText(java.lang.CharSequence value,
                                   int begin,
                                   int end)

Parameters:
  `value` - - text value
  `begin` - - position in the query string
  `end` - - position in the query string

Method Detail

### clone

    public PathQueryNode.QueryText clone()
                                  throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### getValue

    public java.lang.CharSequence getValue()

  Returns:
    the value

### getBegin

    public int getBegin()

  Returns:
    the begin

### getEnd

    public int getEnd()

  Returns:
    the end

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.